Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi
Class POIOLE2TextExtractor

    java.lang.Object
      org.apache.poi.POITextExtractor
          org.apache.poi.POIOLE2TextExtractor

Direct Known Subclasses:
  EventBasedExcelExtractor, ExcelExtractor

    public abstract class POIOLE2TextExtractor

extends POITextExtractor

Common Parent for OLE2 based Text Extractors of POI Documents, such as .doc, .xls You will typically find the implementation of a given format's text extractor under org.apache.poi.[format].extractor .

See Also:
  `ExcelExtractor`, `org.apache.poi.hslf.extractor.PowerPointExtractor`, `org.apache.poi.hdgf.extractor.VisioTextExtractor`, `org.apache.poi.hwpf.extractor.WordExtractor`

Constructor Summary
`POIOLE2TextExtractor(POIDocument document)` Creates a new text extractor for the given document

Method Summary
`DocumentSummaryInformation` | `getDocSummaryInformation()` Returns the document information metadata for the document
`POIFSFileSystem` | `getFileSystem()` Deprecated. Use `getRoot()` instead
`POITextExtractor` | `getMetadataTextExtractor()` Returns an HPSF powered text extractor for the document properties metadata, such as title and author.
`DirectoryEntry` | `getRoot()`
`SummaryInformation` | `getSummaryInformation()` Returns the summary information metadata for the document

Methods inherited from class org.apache.poi.POITextExtractor
`getText`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### POIOLE2TextExtractor

    public POIOLE2TextExtractor(POIDocument document)

  Creates a new text extractor for the given document

Method Detail

### getDocSummaryInformation

    public DocumentSummaryInformation getDocSummaryInformation()

  Returns the document information metadata for the document

### getSummaryInformation

    public SummaryInformation getSummaryInformation()

  Returns the summary information metadata for the document

### getMetadataTextExtractor

    public POITextExtractor getMetadataTextExtractor()

  Returns an HPSF powered text extractor for the document properties metadata, such as title and author.

  Specified by:
    `getMetadataTextExtractor` in class `POITextExtractor`

### getRoot

    public DirectoryEntry getRoot()

### getFileSystem

    public POIFSFileSystem getFileSystem()

  Deprecated. Use `getRoot()` instead

  Return the underlying POIFS FileSystem of this document.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD